Skip to main content
Version: 6.0

Retrieving Information About Available Binaries

GET /binaries​

Get a list of available binaries on the SAF Beat Manager:

curl -k -XGET https://<SAF BM IP-address>:7769/binaries

Input Parameters (Headers)​

NameTypeDescription
AuthorizationstringLogin and password in Base64 format for SAF Beat Manager authorization

Output Parameters​

An array of objects in JSON format.

Each object consists of the following parameters:

NameTypeDescription
binarystringBinary name
groupsstring arrayArray of groups that contain this binary
connectedclientsintNumber of connected SAF Beat

Supported Errors​

StatusError ContentDescription
400Binaries not foundThe binaries list is empty
500<error writing response to request>Internal server error

Examples​

Output parameters example:

[
{
"binary": "filebeat-oss-7.10.2-linux-x86_64.tar.gz",
"groups": [
"nginx_test",
"alert_test"
],
"connectedclients": 2
},
{
"binary": "filebeat-oss-7.10.2-windows-x86_64.zip",
"groups": [
"scriptbeat_exchange"
],
"connectedclients": 1
},
{
"binary": "metricbeat-oss-7.10.2-windows-x86_64.zip",
"groups": null,
"connectedclients": 0
}
]

GET /binaries/<binary name>​

Get information about a specific binary:

curl -k -XGET https://<SAF BM IP-address>:7769/binary/<binary name>

Input Parameters (Headers)​

NameTypeDescription
AuthorizationstringLogin and password in base64 format for SAF Beat Manager authorization

Output Parameters​

A JSON object with the following content:

NameTypeDescription
binarystringBinary name
groupsstring arrayArray of groups that contain this binary
connectedclientsobject arrayConnected SAF Beat

Objects in the connectedclients array have the following structure:

NameTypeDescription
ipstringSAF Beat IP address
dnsstringSAF Beat DNS
hostnamestringSAF Beat hostname
systemstringSAF Beat operating system
guidstringSAF Beat unique identifier
timestampstringSAF Beat last connection timestamp

Supported Errors​

StatusError ContentDescription
400Binary not foundBinary with this name not found
500<error writing response to request>Internal server error

Examples​

Output parameters example:

{
"binary": "scriptbeat-1.0.0-windows-x86_64.zip",
"groups": [
"scriptbeat_exchange",
"scriptbeat_active_directory",
"scriptbeat_active_directory_second",
"msca"
],
"connectedclients": [
{
"ip": "172.16.0.1",
"hostname": "AD-test",
"dns": "test.local.",
"guid": "84fb9a1b-620a-81af-bea091af9b73",
"system": "windows",
"timestamp": "2023-01-01 00:00:44"
},
{
"ip": "172.1.10.1",
"hostname": "MSCA-test",
"dns": "test.local.",
"guid": "934c96f5-f58a-8779-10b2187ad416",
"system": "windows",
"timestamp": "2023-01-01 00:00:46"
}
]
}